%%
%% This is file `khfax.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% khfax.dtx  (with options: `class')
%% 
%% This file is part of KH's LaTeX2e bundle.
%% 
\def\fileversion{v0.1.1}
\def\filedate{1997/09/12}
\def\docdate {1997/09/12}
%% -*- LaTeX -*-
%%
%% Package `khfax' to use with LaTeX2e
%% Copyright (C) 1994, 1995 by KH (Kurt.Hornik@ci.tuwien.ac.at)
%% Please report errors to KH
%%

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{khfax}[\filedate\space\fileversion\space
                      KH's LaTeX2e fax class]
\typeout{Class:  khfax \fileversion \@spaces <\filedate> (KH)}
\typeout{English documentation as of <\docdate> (KH)}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass[a4paper]{article}
\newcommand{\careofname}{Attn.}
\newcommand{\concerningname}{Concerning}
\newcommand{\datename}{Date}
\newcommand{\faxname}{Fax}
\newcommand{\pagenumbername}{No.~of Pages}
\newcommand{\phonename}{Phone}
\def\khfax@austrian{%
  \def\careofname{z.Hd.}%
  \def\concerningname{Betrifft}%
  \def\datename{Datum}%
  \def\faxname{Telefax}%
  \def\pagenumbername{Seitenanzahl}%
  \def\phonename{Telefon}}
\def\khfax@american{%
  \def\careofname{Attn.}%
  \def\concerningname{Concerning}%
  \def\datename{Date}%
  \def\faxname{Fax}%
  \def\pagenumbername{No.~of Pages}%
  \def\phonename{Phone}}
\AtBeginDocument{
  \@ifpackagewith{babel}{austrian}{
    \addto\extrasaustrian\khfax@austrian}{}
  \@ifpackagewith{babel}{german}{
    \addto\extrasgerman\khfax@austrian}{}
  \@ifpackagewith{babel}{american}{
    \addto\extrasamerican\khfax@american}{}
  \@ifpackagewith{babel}{british}{
    \addto\extrasbritish\khfax@american}{}
  \@ifpackagewith{babel}{english}{
    \addto\extrasbritish\khfax@american}{}
  }
\def\khfax@fromphone{}
\def\khfax@fromfax{}
\def\khfax@signature{}
\def\khfax@signatureskip{20mm}
\def\khfax@openingskip{\parskip}
\def\khfax@closingskip{\parskip}
\def\fromphone#1{\renewcommand{\khfax@fromphone}{#1}}
\def\fromfax#1{\def\khfax@fromfax{#1}}
\def\signature#1{\def\khfax@signature{#1}}
\def\signatureskip#1{\def\khfax@signatureskip{#1}}
\newcommand{\openingskip}[1]{\renewcommand{\khfax@openingskip}{#1}}
\newcommand{\closingskip}[1]{\renewcommand{\khfax@closingskip}{#1}}
\def\khfax@date{\today}
\def\date#1{\def\khfax@date{#1}}
\setlength{\textheight}{220mm}
\setlength{\textwidth}{150mm}
\setlength{\oddsidemargin}{5mm}
\setlength{\parskip}{3mm}
\setlength{\parindent}{0mm}
\renewcommand{\baselinestretch}{1.071}
\newcommand{\ps@faxcoverpage}{%
  \renewcommand{\@oddhead}{}%
  \renewcommand{\@oddfoot}{}}
\providecommand{\headtoname}{To}
\renewcommand{\ps@headings}{%
  \renewcommand{\@oddhead}{%
    \slshape\headtoname{} \ignorespaces\toname
    \hfil \khfax@date
    \hfil \pagename{} \thepage}
  \renewcommand{\@oddfoot}{}}
\renewcommand{\ps@plain}{%
  \renewcommand{\@oddhead}{}%
  \renewcommand{\@oddfoot}{}}
\pagestyle{plain}
\newenvironment{fax}[4]{%
  \def\toname{#1}
  \newpage
  \thispagestyle{faxcoverpage}
  \setlength{\unitlength}{1mm}
  \begin{picture}(150,40)
    \put(0,20){%
      \parbox{\textwidth}{%
        \bfseries
        \begin{center}
          {\Large Fax Message}
        \end{center}
        \makebox[25mm][l]{\headtoname:} #1 \\
        \ifx\empty#2\else\makebox[25mm][l]{\careofname:} #2\fi \\
        \makebox[25mm][l]{\faxname:} #3 \\
        \makebox[25mm][l]{\pagenumbername:} #4 \\
        \makebox[25mm][l]{\phonename:} \khfax@fromphone
        \hfill \datename: \khfax@date \\
        \makebox[25mm][l]{\faxname:} \khfax@fromfax}}
    \put(-2,0){\thicklines\line(1,0){154}}
    \put(-2,40){\line(1,0){154}}
    \put(-2,0){\line(0,1){40}}
    \put(152,0){\thicklines\line(0,1){40}}
  \end{picture}
  \par\vspace*{7mm}}{\vfill}
\def\khfax@concerning{}
\newcommand{\concerning}[1]{\def\khfax@concerning{#1}}
\newcommand\opening[1]{%
  \ifx\empty\khfax@concerning
  \else
    \concerningname: \textbf{\khfax@concerning}%
    \par\vspace{\parskip}
  \fi
  \ifx\empty#1\else{#1\par}\fi
  \vspace{\khfax@openingskip}}
\newcommand{\closing}[1]{%
  \par\vspace*{\khfax@closingskip}#1
  \par\vspace*{\khfax@signatureskip}\khfax@signature}
\InputIfFileExists{khfax.cfg}{%
  \typeout{Reading personal defaults ...}}{}

\endinput
%%
%% End of file `khfax.cls'.
