%%
%% This is file `khletter.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% khletter.dtx  (with options: `class')
%% 
%% IMPORTANT NOTICE:
%% 
%% For the copyright see the source file.
%% 
%% You are *not* allowed to modify this file.
%% 
%% You are *not* allowed to distribute this file.
%% For distribution of the original source see the terms
%% for copying and modification in the file khletter.dtx.
%% 
\def\fileversion{v0.25}
\def\filename{khletter}
\def\filedate{1998/11/13}
\def\docdate {1998/11/13}
%%
%% Package `khletter' to use with LaTeX2e
%% Copyright (C) 1994--1998 by KH <Kurt.Hornik@ci.tuwien.ac.at>
%% Please report errors to KH
%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{khletter}[\filedate\space\fileversion\space
                         KH's letter class]
\typeout{Class: `khletter' \fileversion \@spaces <\filedate> (KH)}
\typeout{English documentation as of <\docdate> (KH)}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{letter}}
\ProcessOptions
\LoadClass[a4paper]{letter}
\RequirePackage{epsfig}
\newcommand{\concerningname}{Concerning}
\def\concerningtext{}
\newcommand{\concerning}[1]{\def\concerningtext{#1}}
\newcommand{\concerningline}{%
  \concerningname: \textbf{\concerningtext}}
\setlength{\unitlength}{1mm}
\renewcommand{\ps@firstpage}{%
  \renewcommand{\@oddfoot}{}%
  \renewcommand{\@oddhead}{%
    \raisebox{-7mm}{%
      \makebox[\textwidth][c]{%
        \begin{picture}(140,0)
          \put(-20,33){\thicklines\line(1,0){180}}
          \put(-20,32){\line(1,0){180}}
          \khletter@letterhead
          \put(-20,-1){\line(1,0){180}}
        \end{picture}}}}}
\newcommand{\khletter@letterhead}{%
  \khletter@logo%
  \put(21,15){\parbox[][][c]{60mm}{\khletter@middleblock}}%
  \put(86,15){\parbox[][][c]{70mm}{\khletter@rightblock}}}
\newcommand{\letterhead}[1]{\def\khletter@letterhead{#1}}
\newcommand{\noletterhead}{\def\khletter@letterhead{}}
\newcommand{\khletter@logo}{\khletter@oldtulogo}
\newcommand{\oldtulogo}{%
  \renewcommand{\khletter@logo}{\khletter@oldtulogo}}
\newcommand{\newtulogo}{%
  \renewcommand{\khletter@logo}{\khletter@newtulogo}}
\newcommand{\logo}[1]{\renewcommand{\khletter@logo}{#1}}
\newcommand{\khletter@oldtulogo}{%
  \put(-7,21){\oval(15,5)}
  \put(-9.5,17.5){\line(1,0){5}}
  \put(-9.5,10){\line(0,1){7.5}}
  \put(-4.5,10){\line(0,1){7.5}}
  \put(-7,10){\oval(5,5)[b]}
  \put(4,21){\oval(5,5)[t]}
  \put(1.5,21){\line(0,-1){7.5}}
  \put(6.5,21){\line(0,-1){7.5}}
  \put(7.5,13.5){\oval(2,2)[bl]}
  \put(7.5,13.5){\oval(12,12)[bl]}
  \put(7.5,7.5){\line(0,1){5}}
  \put(12,21){\oval(5,5)[t]}
  \put(14.5,21){\line(0,-1){7.5}}
  \put(9.5,21){\line(0,-1){7.5}}
  \put(8.5,13.5){\oval(2,2)[br]}
  \put(8.5,13.5){\oval(12,12)[br]}
  \put(8.5,7.5){\line(0,1){5}}}
\newcommand{\khletter@newtulogo}{%
  \put(-11.5,15){\parbox{28mm}{\epsfig{file=TUlogo.eps,width=28mm}}}}
\newcommand{\khletter@middleblock}{%
  \begin{center}
    \fontsize{12}{14}\selectfont
    \khletter@university \\[\medskipamount]
    \khletter@department
  \end{center}}
\newcommand{\middleblock}[1]{\renewcommand{\khletter@middleblock}{#1}}
\newcommand{\khletter@university}{Technische Universit{\"a}t Wien}
\newcommand{\university}[1]{\renewcommand{\khletter@university}{#1}}
\newcommand{\khletter@department}{Institut f{\"u}r Statistik und \\
  Wahrscheinlichkeitstheorie}
\newcommand{\department}[1]{\renewcommand{\khletter@department}{#1}}
\newcommand{\khletter@rightblock}{%
  \ifx\@empty\khletter@function
    \fontsize{8}{9}\selectfont
  \else
    \fontsize{7}{8}\selectfont
  \fi
  \ifx\@empty\fromname \else \fromname \\ \fi
  \ifx\@empty\khletter@function \else \khletter@function \\ \fi
  \fromaddress \\
  \ifx\@empty\khletter@country
     \medskip
  \else
     \khletter@country \\[\smallskipamount]
  \fi
  \makebox[10mm][l]{tel:} \khletter@phonenumber \\
  \makebox[10mm][l]{fax:} \khletter@faxnumber
  \ifx\@empty\khletter@emailaddress
  \else
    \\ \makebox[10mm][l]{email:} \khletter@emailaddress
  \fi}
\newcommand{\rightblock}[1]{\renewcommand{\khletter@rightblock}{#1}}
\name{Kurt Hornik}
\address{%
  Institut f{\"u}r Statistik und Wahrscheinlichkeitstheorie \\
  Technische Universit{\"a}t Wien \\
  Wiedner Hauptstra{\ss}e 8--10/1071 \\
  A-1040 Wien}
\newcommand{\austrianame}{Austria}
\newcommand{\khletter@country}{\austrianame}
\newcommand{\country}[1]{\def\khletter@country{#1}}
\newcommand{\nocountry}{\def\khletter@country{}}
\def\khletter@function{}
\newcommand{\function}[1]{\def\khletter@function{#1}}
\newcommand{\khletter@phonenumber}{+43/1/588-01x10712}
\newcommand{\phonenumber}[1]{\def\khletter@phonenumber{#1}}
\newcommand{\khletter@faxnumber}{+43/1/588-01x10798}
\newcommand{\faxnumber}[1]{\def\khletter@faxnumber{#1}}
\newcommand{\khletter@emailaddress}{Kurt.Hornik@ci.tuwien.ac.at}
\newcommand{\emailaddress}[1]{\def\khletter@emailaddress{#1}}
\setlength{\textwidth}{140mm}
\setlength{\oddsidemargin}{10mm}
\renewcommand{\baselinestretch}{1.071}
\newcommand{\khletter@datehskip}{86mm}
\newcommand{\khletter@datevskip}{10mm}
\newcommand{\khletter@closinghskip}{0mm}
\newcommand{\khletter@closingvskip}{8\medskipamount}
\setlength{\longindentation}{\khletter@closinghskip}
\setlength{\indentedwidth}{\textwidth}
\addtolength{\indentedwidth}{-\longindentation}
\newcommand{\datehskip}[1]{\renewcommand{\khletter@datehskip}{#1}}
\newcommand{\datevskip}[1]{\renewcommand{\khletter@datevskip}{#1}}
\newcommand{\closinghskip}[1]{%
  \renewcommand{\khletter@closinghskip}{#1}
  \setlength{\longindentation}{\khletter@closinghskip}
  \setlength{\indentedwidth}{\textwidth}
  \addtolength{\indentedwidth}{-\longindentation}}
\newcommand{\closingvskip}[1]{\renewcommand{\khletter@closingvskip}{#1}}
\renewcommand{\opening}[1]{%
  \ifx\@empty\khletter@letterhead
    \thispagestyle{empty}%
    {\raggedleft\@date\par}%
  \else
    \thispagestyle{firstpage}%
    \vspace{\khletter@datevskip}%
    \hspace{\khletter@datehskip}\@date\par%
  \fi
  \vspace{2\parskip}%
  {\raggedright \toname \\ \toaddress \par}%
  \vspace{2\parskip}%
  \ifx\@empty\concerningtext
  \else
    \concerningline\par\vspace{2\parskip}%
  \fi
  #1\par\nobreak}
\renewcommand{\stopletter}{\vfill}
\renewcommand{\closing}[1]{%
  \par\nobreak\vspace{\parskip}%
  \stopbreaks
  \noindent
  \ifx\@empty\khletter@letterhead\else\hspace*{\khletter@closinghskip}\fi
  \parbox{\indentedwidth}{
    \raggedright
    \ignorespaces #1 \strut \\[\khletter@closingvskip]%
    \ifx\@empty\fromsig\fromname\else\fromsig\fi\strut}%
  \par}
\InputIfFileExists{khletter.cfg}{%
  \typeout{Reading personal defaults ...}}{}
\def\khletter@austrian{%
  \def\austrianame{{\"O}sterreich}
  \def\concerningname{Betrifft}}
\def\khletter@american{%
  \def\concerningname{Concerning}
  \def\austrianame{Austria}}
\AtBeginDocument{
  \@ifpackagewith{babel}{austrian}{
    \addto\extrasaustrian\khletter@austrian}{}
  \@ifpackagewith{babel}{german}{
    \addto\extrasgerman\khletter@austrian}{}
  \@ifpackagewith{babel}{american}{
    \addto\extrasamerican\khletter@american}{}
  \@ifpackagewith{babel}{british}{
    \addto\extrasbritish\khletter@american}{}
  \@ifpackagewith{babel}{english}{
    \addto\extrasbritish\khletter@american}{}
  }
\endinput
%%
%% End of file `khletter.cls'.
